package com.hdp.customerservice.model;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * (pi_customerservice_member)
 * 
 * @author bianj
 * @version 1.0.0 2015-06-17
 */
@Entity
@Table(name = "pi_customerservice_member")
public class MemberEntity implements java.io.Serializable {
    /** 版本号 */
    private static final long serialVersionUID = 8542190028198354606L;
    
    /**  */
    @Id
    @Column(name = "id", unique = true, nullable = false, length = 19)
    private Long id;
    
    /**  */
    @Column(name = "appid", nullable = false, length = 128)
    private String appid;
    
    /**  */
    @Column(name = "ent_code", nullable = false, length = 10)
    private Integer entCode;
    
    /**  */
    @Column(name = "openid", nullable = false, length = 32)
    private String openid;
    
    /**  */
    @Column(name = "headimg", nullable = true, length = 512)
    private String headimg;
    
    /**  */
    @Column(name = "nickname", nullable = true, length = 128)
    private String nickname;
    
    /**  */
    @Column(name = "country", nullable = true, length = 64)
    private String country;
    
    /**  */
    @Column(name = "province", nullable = true, length = 64)
    private String province;
    
    /**  */
    @Column(name = "city", nullable = true, length = 64)
    private String city;
    
    /**  */
    @Column(name = "groupid", nullable = true, length = 10)
    private Integer groupid;
    
    /**  */
    @Column(name = "language", nullable = true, length = 32)
    private String language;
    
    /**  */
    @Column(name = "sex", nullable = true, length = 10)
    private Integer sex;
    
    /**  */
    @Column(name = "subscribe", nullable = true, length = 10)
    private Integer subscribe;
    
    /**  */
    @Column(name = "subscribe_time", nullable = true)
    private Date subscribeTime;
    
    /**
     * 获取
     * 
     * @return 
     */
     public Long getId() {
        return this.id;
     }
     
    /**
     * 设置
     * 
     * @param id
     *          
     */
     public void setId(Long id) {
        this.id = id;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public String getAppid() {
        return this.appid;
     }
     
    /**
     * 设置
     * 
     * @param appid
     *          
     */
     public void setAppid(String appid) {
        this.appid = appid;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public Integer getEntCode() {
        return this.entCode;
     }
     
    /**
     * 设置
     * 
     * @param entCode
     *          
     */
     public void setEntCode(Integer entCode) {
        this.entCode = entCode;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public String getOpenid() {
        return this.openid;
     }
     
    /**
     * 设置
     * 
     * @param openid
     *          
     */
     public void setOpenid(String openid) {
        this.openid = openid;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public String getHeadimg() {
        return this.headimg;
     }
     
    /**
     * 设置
     * 
     * @param headimg
     *          
     */
     public void setHeadimg(String headimg) {
        this.headimg = headimg;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public String getNickname() {
        return this.nickname;
     }
     
    /**
     * 设置
     * 
     * @param nickname
     *          
     */
     public void setNickname(String nickname) {
        this.nickname = nickname;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public String getCountry() {
        return this.country;
     }
     
    /**
     * 设置
     * 
     * @param country
     *          
     */
     public void setCountry(String country) {
        this.country = country;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public String getProvince() {
        return this.province;
     }
     
    /**
     * 设置
     * 
     * @param province
     *          
     */
     public void setProvince(String province) {
        this.province = province;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public String getCity() {
        return this.city;
     }
     
    /**
     * 设置
     * 
     * @param city
     *          
     */
     public void setCity(String city) {
        this.city = city;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public Integer getGroupid() {
        return this.groupid;
     }
     
    /**
     * 设置
     * 
     * @param groupid
     *          
     */
     public void setGroupid(Integer groupid) {
        this.groupid = groupid;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public String getLanguage() {
        return this.language;
     }
     
    /**
     * 设置
     * 
     * @param language
     *          
     */
     public void setLanguage(String language) {
        this.language = language;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public Integer getSex() {
        return this.sex;
     }
     
    /**
     * 设置
     * 
     * @param sex
     *          
     */
     public void setSex(Integer sex) {
        this.sex = sex;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public Integer getSubscribe() {
        return this.subscribe;
     }
     
    /**
     * 设置
     * 
     * @param subscribe
     *          
     */
     public void setSubscribe(Integer subscribe) {
        this.subscribe = subscribe;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public Date getSubscribeTime() {
        return this.subscribeTime;
     }
     
    /**
     * 设置
     * 
     * @param subscribeTime
     *          
     */
     public void setSubscribeTime(Date subscribeTime) {
        this.subscribeTime = subscribeTime;
     }
}