package com.hdp.customerservice.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * (pi_customerservice_works)
 * 
 * @author bianj
 * @version 1.0.0 2015-06-17
 */
@Entity
@Table(name = "pi_customerservice_works")
public class WorksEntity implements java.io.Serializable {
    /** 版本号 */
    private static final long serialVersionUID = 2024136148468682445L;
    
    /**  */
    @Id
    @Column(name = "id", unique = true, nullable = false, length = 19)
    private Long id;
    
    /**  */
    @Column(name = "ent_code", nullable = false, length = 10)
    private Integer entCode;
    
    /**  */
    @Column(name = "username", nullable = false, length = 128)
    private String username;
    
    /**  */
    @Column(name = "pwd", nullable = false, length = 128)
    private String pwd;
    
    /**  */
    @Column(name = "nickname", nullable = true, length = 128)
    private String nickname;
    
    /**  */
    @Column(name = "headimg", nullable = true, length = 512)
    private String headimg;
    
    /**  */
    @Column(name = "status", nullable = false, length = 10)
    private Integer status;
    
    /**
     * 获取
     * 
     * @return 
     */
     public Long getId() {
        return this.id;
     }
     
    /**
     * 设置
     * 
     * @param id
     *          
     */
     public void setId(Long id) {
        this.id = id;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public Integer getEntCode() {
        return this.entCode;
     }
     
    /**
     * 设置
     * 
     * @param entCode
     *          
     */
     public void setEntCode(Integer entCode) {
        this.entCode = entCode;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public String getUsername() {
        return this.username;
     }
     
    /**
     * 设置
     * 
     * @param username
     *          
     */
     public void setUsername(String username) {
        this.username = username;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public String getPwd() {
        return this.pwd;
     }
     
    /**
     * 设置
     * 
     * @param pwd
     *          
     */
     public void setPwd(String pwd) {
        this.pwd = pwd;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public String getNickname() {
        return this.nickname;
     }
     
    /**
     * 设置
     * 
     * @param nickname
     *          
     */
     public void setNickname(String nickname) {
        this.nickname = nickname;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public String getHeadimg() {
        return this.headimg;
     }
     
    /**
     * 设置
     * 
     * @param headimg
     *          
     */
     public void setHeadimg(String headimg) {
        this.headimg = headimg;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public Integer getStatus() {
        return this.status;
     }
     
    /**
     * 设置
     * 
     * @param status
     *          
     */
     public void setStatus(Integer status) {
        this.status = status;
     }
}