/**   
* @Title: WaiterManager.java 
* @Package com.hdp.customerservice.websocket 
* @Description: TODO
* @author new12304508_163_com   
* @date 2015年6月16日 下午5:15:41 
* @version V1.0   
*/
package com.hdp.customerservice.websocket;

import java.util.concurrent.ConcurrentHashMap;

import org.springframework.util.StringUtils;

import com.hdp.customerservice.websocket.model.Customer;
import com.hdp.customerservice.websocket.model.Waiter;

public class WaiterManager {
	
	private static ConcurrentHashMap<String,Waiter> 
					waiters = new ConcurrentHashMap<String, Waiter>();
	
	private WaiterManager(){}
	
	public static Waiter getWaiterById(String id){
		if(StringUtils.isEmpty(id)){
			return null;
		}
		return waiters.get(id);
	}
	
	public static void addWaiter(Waiter waiter){
		if(waiter == null || StringUtils.isEmpty(waiter.id)){
			return;
		}
		waiters.put(waiter.id, waiter);
	}
	
	public static Waiter[] getWaits(){
		Waiter[] ws = new Waiter[waiters.size()];
		return waiters.values().toArray(ws);
	}
}
